Loading...
Searching...
No Matches
Http_if_modified_since

## Macros

#define | HTTP_IF_MODIFIED_SINCE_INIT()
| Initializer for structure http_if_modified_since_t.
#define | HTTPTAG_IF_MODIFIED_SINCE(x)
| Tag list item for pointer to a If-Modified-Since header object.
#define | HTTPTAG_IF_MODIFIED_SINCE_STR(s)
| Tag list item for string with If-Modified-Since header value.

## Typedefs

typedef http_date_t | http_if_modified_since_t
| @HTTP_HEADER http_if_modified_since If-Modified-Since header.

## Enumerations

enum | { http_if_modified_since_hash }

## Functions

http_if_modified_since_t * | http_if_modified_since_init (http_if_modified_since_t x[1])
| Initialize a structure http_if_modified_since_t.
int | http_is_if_modified_since (http_header_t const *header)
| Test if header object is instance of http_if_modified_since_t.
http_if_modified_since_t * | http_if_modified_since_dup (su_home_t *home, http_if_modified_since_t const *hdr))
| Duplicate (deep copy) `http_if_modified_since_t`.
http_if_modified_since_t * | http_if_modified_since_copy (su_home_t *home, http_if_modified_since_t const *hdr))
| Copy a http_if_modified_since_t header structure.
http_if_modified_since_t * | http_if_modified_since_make (su_home_t *home, char const *s))
| Make a header structure http_if_modified_since_t.
http_if_modified_since_t * | http_if_modified_since_format (su_home_t *home, char const *fmt,...)))
| Make a If-Modified-Since header from formatting result.

## Variables

msg_hclass_t | http_if_modified_since_class []
| Header class for HTTP If-Modified-Since header.
msg_parse_f | http_if_modified_since_d
| Decode (parse) a If-Modified-Since header.
msg_print_f | http_if_modified_since_e
| Encode (print) a If-Modified-Since header.

## Detailed Description

## Macro Definition Documentation

## HTTP_IF_MODIFIED_SINCE_INIT

#define HTTP_IF_MODIFIED_SINCE_INIT | ( |  | ) |

Initializer for structure http_if_modified_since_t.

A static http_if_modified_since_t structure must be initialized with the HTTP_IF_MODIFIED_SINCE_INIT() macro. For instance,

http_if_modified_since_t http_if_modified_since = HTTP_IF_MODIFIED_SINCE_INIT;
http_if_modified_since_t
http_date_t http_if_modified_since_t
@HTTP_HEADER http_if_modified_since If-Modified-Since header.
Definition http.h:130
HTTP_IF_MODIFIED_SINCE_INIT
#define HTTP_IF_MODIFIED_SINCE_INIT()
Initializer for structure http_if_modified_since_t.
Definition http_protos.h:5092

## HTTPTAG_IF_MODIFIED_SINCE

#define HTTPTAG_IF_MODIFIED_SINCE | ( |  | x | ) |

Tag list item for pointer to a If-Modified-Since header object.

The HTTPTAG_IF_MODIFIED_SINCE() macro is used to include a tag item with a pointer to a http_if_modified_since_t object in a tag list.

Parameters

  x | pointer to a http_if_modified_since_t header structure, or NULL.

## HTTPTAG_IF_MODIFIED_SINCE_STR

#define HTTPTAG_IF_MODIFIED_SINCE_STR | ( |  | s | ) |

Tag list item for string with If-Modified-Since header value.

The HTTPTAG_IF_MODIFIED_SINCE_STR() macro is used to include a tag item with a string containing value of a http_if_modified_since_t header in a tag list.

Parameters

  s | pointer to a string containing http_if_modified_since_t value, or NULL.

The HTTPTAG_IF_MODIFIED_SINCE_STR string can be converted to a http_if_modified_since_t header structure by giving the string s has second argument to function http_if_modified_since_make().

## Typedef Documentation

## http_if_modified_since_t

typedef http_date_t http_if_modified_since_t

@HTTP_HEADER http_if_modified_since If-Modified-Since header.

The If-Modified-Since header field The If-Modified-Since request-header field is used with a method to make it conditional: if the requested variant has not been modified since the time specified in this field, an entity will not be returned from the server; instead, a 304 (not modified) response will be returned without any message-body. Its syntax is defined in RFC 2616 secion 14.25 as follows:

If-Modified-Since = "If-Modified-Since" ":" HTTP-date

The structure http_if_modified_since_t contains representation of If-Modified-Since header.

The http_if_modified_since_t is defined as follows:

typedef struct {
msg_common_t d_common[1]; // Common fragment info
msg_error_t *d_next; // Link to next (dummy)
http_time_t d_time; // Seconds since Jan 1, 1900
} http_if_modified_since_t;
msg_error_t
struct msg_error_s msg_error_t
http_time_t
unsigned long http_time_t
Time in seconds since 01-Jan-1900.
Definition http.h:169
msg_common_t
struct msg_common_s msg_common_t

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
http_if_modified_since_hash | Hash of If-Modified-Since header.

## Function Documentation

## http_if_modified_since_copy()

http_if_modified_since_t * http_if_modified_since_copy | ( | su_home_t * | home,
|  | http_if_modified_since_t const * | hdr )

inline

Copy a http_if_modified_since_t header structure.

The function http_if_modified_since_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be duplicated

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old header, including the encoding of the old header, if present.

Example
  if_modified_since = http_if_modified_since_copy(home, http->http_if_modified_since);
  http_if_modified_since_copy
  http_if_modified_since_t * http_if_modified_since_copy(su_home_t *home, http_if_modified_since_t const *hdr))
  Copy a http_if_modified_since_t header structure.
  Definition http_protos.h:5286

Returns
  The function http_if_modified_since_copy() returns a pointer to newly copied header structure, or NULL upon an error.

## http_if_modified_since_dup()

http_if_modified_since_t * http_if_modified_since_dup | ( | su_home_t * | home,
|  | http_if_modified_since_t const * | hdr )

inline

Duplicate (deep copy) `http_if_modified_since_t`.

The function http_if_modified_since_dup() duplicates a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  if_modified_since = http_if_modified_since_dup(home, http->http_if_modified_since);
  http_if_modified_since_dup
  http_if_modified_since_t * http_if_modified_since_dup(su_home_t *home, http_if_modified_since_t const *hdr))
  Duplicate (deep copy) http_if_modified_since_t.
  Definition http_protos.h:5279

Returns
  The function http_if_modified_since_dup() returns a pointer to the newly duplicated http_if_modified_since_t header structure, or NULL upon an error.

## http_if_modified_since_format()

http_if_modified_since_t * http_if_modified_since_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a If-Modified-Since header from formatting result.

The function http_if_modified_since_format() makes a new If-Modified-Since header object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and uses the formatting result as the header value.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Note
  This function is usually implemented as a macro calling msg_header_format().

Returns
  The function http_if_modified_since_format() returns a pointer to newly makes header structure, or NULL upon an error.

## http_if_modified_since_init()

http_if_modified_since_t * http_if_modified_since_init | ( | http_if_modified_since_t | x[1] | ) |

inline

Initialize a structure http_if_modified_since_t.

An http_if_modified_since_t structure can be initialized with the http_if_modified_since_init() function/macro. For instance,

http_if_modified_since_t http_if_modified_since;
http_if_modified_since_init(&http_if_modified_since);
http_if_modified_since_init
http_if_modified_since_t * http_if_modified_since_init(http_if_modified_since_t x[1])
Initialize a structure http_if_modified_since_t.
Definition http_protos.h:5108

## http_if_modified_since_make()

http_if_modified_since_t * http_if_modified_since_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a header structure http_if_modified_since_t.

The function http_if_modified_since_make() makes a new http_if_modified_since_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Note
  This function is usually implemented as a macro calling http_header_make().

Returns
  The function http_if_modified_since_make() returns a pointer to newly maked http_if_modified_since_t header structure, or NULL upon an error.

## http_is_if_modified_since()

int http_is_if_modified_since | ( | http_header_t const * | header | ) |

inline

Test if header object is instance of http_if_modified_since_t.

The function http_is_if_modified_since() returns true (nonzero) if the header class is an instance of If-Modified-Since header object and false (zero) otherwise.

Parameters

  header | pointer to the header structure to be tested

Returns
  The function http_is_xif_modified_since() returns true (nonzero) if the header object is an instance of header if_modified_since and false (zero) otherwise.

## Variable Documentation

## http_if_modified_since_class

msg_hclass_t http_if_modified_since_class[]

extern

Header class for HTTP If-Modified-Since header.

The header class http_if_modified_since_class defines how a HTTP If-Modified-Since header is parsed and printed. It also contains methods used by HTTP parser and other functions to manipulate the http_if_modified_since_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.